Odoo中文社区可以通过以下三个域名访问:shine-it.net , odoocn.org,odoo.net.cn

原论坛用户的基本信息和发帖这里都予以保留,请注意:原论坛用户无需重新注册新用户,但是您的密码需要重置

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

Redhat as5 python2.7 安装openerp7.0出现RuntimeError: maximum recursion dept



  • 最近接触openerp,尝试在Redhat as5 python2.7 nginx1.4 postgreSQL9.2.1下部署一套openerp7.0 ,
    可发现不太容易。

    解压执行python setup.py install 抛出一个异常:RuntimeError: maximum recursion depth exceeded  ,然后就终止了

    好纠结,貌似不是openerp问题,但不熟悉python,无从下手, 想各位前辈指点下,谦虚求教....

    ===下面是机器环境和我部署程序的记录===
    Redhat as5 2.6.18-164.el5
    python2.7 (最近升级了) /  python2.4(YUM用)
    安装路径: /usr/bin/python -> /usr/local/python27/bin/python

    nginx1.4 :服务和80端口正常
    postgreSQL9.2.1 :服务和5432端口正常

    安装openerp-7.0
    #tar -zxvf openerp-7.0-latest.tar.gz && cd openerp-7.0-20140307-002223;
    #ls
    debian  doc  install  LICENSE  MANIFEST.in  openerp  openerp.egg-info  openerp-server  PKG-INFO  README  setup.cfg  setup.nsi  setup.py  setup_rpm.sh  win32
    #cat README
    --------------------
    Installation on RedHat, Fedora, CentOS
    --------------------------------------

    Install the required dependencies:

        $ yum install python
        $ easy_install pip
        $ pip install .....

    Install the openerp rpm

        $ rpm -i openerp-VERSION.rpm
    ----------------------------


    我检查了一下是否满足安装条件:
    03-07 13:52 2to3
    03-14 15:04 cherryd
    03-12 11:37 easy_install
    03-12 11:37 easy_install-2.7
    03-07 13:52 idle
    03-14 15:04 mako-render
    03-14 14:57 pilconvert.py
    03-14 14:57 pildriver.py
    03-14 14:57 pilfile.py
    03-14 14:57 pilfont.py
    03-14 14:57 pilprint.py
    03-14 12:58 pip
    03-14 12:58 pip2
    03-14 12:58 pip2.7
    03-14 14:59 pybabel
    03-07 13:52 pydoc
    03-07 14:00 python -> python2
    03-07 14:00 python2 -> python2.7
    03-07 14:00 python2.7
    03-07 14:00 python2.7-config
    03-07 14:00 python2-config -> python2.7-config
    03-07 14:00 python-config -> python2-config

    看满足条件,我就参考:http://shine-it.net/index.php/topic,7293.0.html 第一部分,不行,服务缺模块忘记了哪个..
    然后我cd openerp-7.0-20140307-002223;执行perl setup.py install;然后又报错了:


    略一堆log,截取最后一个for循环:

        for pkg, src_dir, build_dir, filenames in build_py.data_files:
      File "build/bdist.linux-x86_64/egg/setuptools/command/build_py.py", line 39, in getattr
      File "build/bdist.linux-x86_64/egg/setuptools/command/build_py.py", line 44, in _get_data_files
      File "build/bdist.linux-x86_64/egg/setuptools/command/build_py.py", line 92, in analyze_manifest
      File "/usr/local/python27/lib/python2.7/distutils/cmd.py", line 326, in run_command
        self.distribution.run_command(command)
      File "/usr/local/python27/lib/python2.7/distutils/dist.py", line 972, in run_command
        cmd_obj.run()
      File "build/bdist.linux-x86_64/egg/setuptools/command/egg_info.py", line 177, in run
      File "build/bdist.linux-x86_64/egg/setuptools/command/egg_info.py", line 252, in find_sources
      File "build/bdist.linux-x86_64/egg/setuptools/command/egg_info.py", line 306, in run
      File "build/bdist.linux-x86_64/egg/setuptools/command/egg_info.py", line 330, in add_defaults
      File "/usr/local/python27/lib/python2.7/distutils/command/sdist.py", line 270, in add_defaults
        for pkg, src_dir, build_dir, filenames in build_py.data_files:
      File "build/bdist.linux-x86_64/egg/setuptools/command/build_py.py", line 39, in getattr
      File "build/bdist.linux-x86_64/egg/setuptools/command/build_py.py", line 44, in _get_data_files
      File "build/bdist.linux-x86_64/egg/setuptools/command/build_py.py", line 92, in analyze_manifest
      File "/usr/local/python27/lib/python2.7/distutils/cmd.py", line 326, in run_command
        self.distribution.run_command(command)
      File "/usr/local/python27/lib/python2.7/distutils/dist.py", line 972, in run_command
        cmd_obj.run()
      File "build/bdist.linux-x86_64/egg/setuptools/command/egg_info.py", line 170, in run
      File "build/bdist.linux-x86_64/egg/setuptools/command/egg_info.py", line 379, in write_pkg_info
      File "/usr/local/python27/lib/python2.7/distutils/dist.py", line 1104, in write_pkg_info
        pkg_info = open(os.path.join(base_dir, 'PKG-INFO'), 'w')
      File "build/bdist.linux-x86_64/egg/setuptools/sandbox.py", line 161, in _open
      File "build/bdist.linux-x86_64/egg/setuptools/sandbox.py", line 172, in _ok
      File "/usr/local/python27/lib/python2.7/posixpath.py", line 367, in realpath
        path, ok = _joinrealpath('', filename, {})
      File "/usr/local/python27/lib/python2.7/posixpath.py", line 392, in _joinrealpath
        if not islink(newpath):
      File "/usr/local/python27/lib/python2.7/posixpath.py", line 145, in islink
        return stat.S_ISLNK(st.st_mode)
      File "/usr/local/python27/lib/python2.7/stat.py", line 56, in S_ISLNK
        return S_IFMT(mode) == S_IFLNK
    RuntimeError: maximum recursion depth exceeded




    期间因多次出现“RuntimeError: maximum recursion depth exceeded”,我手动安装了安装OpenERP需要的Python库(http://greybeard.iteye.com/blog/1326526)

      $ easy_install2.6 lxml
      $ easy_install2.6 psycopg2
      $ easy_install2.6 pyaml
      $ easy_install2.6 reportlab
      $ easy_install2.6 mako (RuntimeError: maximum recursion depth exceeded)
      $ easy_install2.6 pil
      --------------------------------------------------------------------------------------
      $ easy_install2.6 cherrypy
      $ easy_install2.6 formencode (RuntimeError: maximum recursion depth exceeded in cmp)
      $ easy_install2.6 simplejson
      $ easy_install2.6 babel
      $ easy_install2.6 pytz
      $ easy_install2.6 werkzeug  (RuntimeError: maximum recursion depth exceeded)
      --------------------------------------------------------------------------------------
      $ easy_install2.6 python-dateutil





    然后,我已经迷惘了,不知道怎么安装下去了.....



    求横批.....





  • 最近接触openerp,尝试在Redhat as5 python2.7 nginx1.4 postgreSQL9.2.1下部署一套openerp7.0 ,
    可发现不太容易。

    解压执行python setup.py install 抛出一个异常:RuntimeError: maximum recursion depth exceeded  ,然后就终止了

    好纠结,貌似不是openerp问题,但不熟悉python,无从下手, 想各位前辈指点下,谦虚求教....

    ===下面是机器环境和我部署程序的记录===
    Redhat as5 2.6.18-164.el5
    python2.7 (最近升级了) /  python2.4(YUM用)
    安装路径: /usr/bin/python -> /usr/local/python27/bin/python

    nginx1.4 :服务和80端口正常
    postgreSQL9.2.1 :服务和5432端口正常

    安装openerp-7.0
    #tar -zxvf openerp-7.0-latest.tar.gz && cd openerp-7.0-20140307-002223;
    #ls
    debian  doc  install  LICENSE  MANIFEST.in  openerp  openerp.egg-info  openerp-server  PKG-INFO  README  setup.cfg  setup.nsi  setup.py  setup_rpm.sh  win32
    #cat README
    --------------------
    Installation on RedHat, Fedora, CentOS
    --------------------------------------

    Install the required dependencies:

        $ yum install python
        $ easy_install pip
        $ pip install .....

    Install the openerp rpm

        $ rpm -i openerp-VERSION.rpm
    ----------------------------


    我检查了一下是否满足安装条件:
    03-07 13:52 2to3
    03-14 15:04 cherryd
    03-12 11:37 easy_install
    03-12 11:37 easy_install-2.7
    03-07 13:52 idle
    03-14 15:04 mako-render
    03-14 14:57 pilconvert.py
    03-14 14:57 pildriver.py
    03-14 14:57 pilfile.py
    03-14 14:57 pilfont.py
    03-14 14:57 pilprint.py
    03-14 12:58 pip
    03-14 12:58 pip2
    03-14 12:58 pip2.7
    03-14 14:59 pybabel
    03-07 13:52 pydoc
    03-07 14:00 python -> python2
    03-07 14:00 python2 -> python2.7
    03-07 14:00 python2.7
    03-07 14:00 python2.7-config
    03-07 14:00 python2-config -> python2.7-config
    03-07 14:00 python-config -> python2-config

    看满足条件,我就参考:http://shine-it.net/index.php/topic,7293.0.html 第一部分,不行,服务缺模块忘记了哪个..
    然后我cd openerp-7.0-20140307-002223;执行perl setup.py install;然后又报错了:


    略一堆log,截取最后一个for循环:

        for pkg, src_dir, build_dir, filenames in build_py.data_files:
      File "build/bdist.linux-x86_64/egg/setuptools/command/build_py.py", line 39, in getattr
      File "build/bdist.linux-x86_64/egg/setuptools/command/build_py.py", line 44, in _get_data_files
      File "build/bdist.linux-x86_64/egg/setuptools/command/build_py.py", line 92, in analyze_manifest
      File "/usr/local/python27/lib/python2.7/distutils/cmd.py", line 326, in run_command
        self.distribution.run_command(command)
      File "/usr/local/python27/lib/python2.7/distutils/dist.py", line 972, in run_command
        cmd_obj.run()
      File "build/bdist.linux-x86_64/egg/setuptools/command/egg_info.py", line 177, in run
      File "build/bdist.linux-x86_64/egg/setuptools/command/egg_info.py", line 252, in find_sources
      File "build/bdist.linux-x86_64/egg/setuptools/command/egg_info.py", line 306, in run
      File "build/bdist.linux-x86_64/egg/setuptools/command/egg_info.py", line 330, in add_defaults
      File "/usr/local/python27/lib/python2.7/distutils/command/sdist.py", line 270, in add_defaults
        for pkg, src_dir, build_dir, filenames in build_py.data_files:
      File "build/bdist.linux-x86_64/egg/setuptools/command/build_py.py", line 39, in getattr
      File "build/bdist.linux-x86_64/egg/setuptools/command/build_py.py", line 44, in _get_data_files
      File "build/bdist.linux-x86_64/egg/setuptools/command/build_py.py", line 92, in analyze_manifest
      File "/usr/local/python27/lib/python2.7/distutils/cmd.py", line 326, in run_command
        self.distribution.run_command(command)
      File "/usr/local/python27/lib/python2.7/distutils/dist.py", line 972, in run_command
        cmd_obj.run()
      File "build/bdist.linux-x86_64/egg/setuptools/command/egg_info.py", line 170, in run
      File "build/bdist.linux-x86_64/egg/setuptools/command/egg_info.py", line 379, in write_pkg_info
      File "/usr/local/python27/lib/python2.7/distutils/dist.py", line 1104, in write_pkg_info
        pkg_info = open(os.path.join(base_dir, 'PKG-INFO'), 'w')
      File "build/bdist.linux-x86_64/egg/setuptools/sandbox.py", line 161, in _open
      File "build/bdist.linux-x86_64/egg/setuptools/sandbox.py", line 172, in _ok
      File "/usr/local/python27/lib/python2.7/posixpath.py", line 367, in realpath
        path, ok = _joinrealpath('', filename, {})
      File "/usr/local/python27/lib/python2.7/posixpath.py", line 392, in _joinrealpath
        if not islink(newpath):
      File "/usr/local/python27/lib/python2.7/posixpath.py", line 145, in islink
        return stat.S_ISLNK(st.st_mode)
      File "/usr/local/python27/lib/python2.7/stat.py", line 56, in S_ISLNK
        return S_IFMT(mode) == S_IFLNK
    RuntimeError: maximum recursion depth exceeded




    期间因多次出现“RuntimeError: maximum recursion depth exceeded”,我手动安装了安装OpenERP需要的Python库(http://greybeard.iteye.com/blog/1326526)

      $ easy_install2.6 lxml
      $ easy_install2.6 psycopg2
      $ easy_install2.6 pyaml
      $ easy_install2.6 reportlab
      $ easy_install2.6 mako (RuntimeError: maximum recursion depth exceeded)
      $ easy_install2.6 pil
      --------------------------------------------------------------------------------------
      $ easy_install2.6 cherrypy
      $ easy_install2.6 formencode (RuntimeError: maximum recursion depth exceeded in cmp)
      $ easy_install2.6 simplejson
      $ easy_install2.6 babel
      $ easy_install2.6 pytz
      $ easy_install2.6 werkzeug  (RuntimeError: maximum recursion depth exceeded)
      --------------------------------------------------------------------------------------
      $ easy_install2.6 python-dateutil





    然后,我已经迷惘了,不知道怎么安装下去了.....



    求横批.....





  • 直接用GreeOpenERP就可以了,方便好用!!


登录后回复
 

与 Odoo 中文社区 的连接断开,我们正在尝试重连,请耐心等待